# 绘图引擎

::: details 目录
[[toc]]
:::

1. 引擎基本结构

![绘图引擎结构](./img/draw-engine.png)

多引擎结构

<PPlantUML :src="$withBase('/uml/mutli-engine.puml')" />

---

绘制结构

<PPlantUML :src="$withBase('/uml/draw-structure.puml')" />

---

画刷实现结构

<PPlantUML :src="$withBase('/uml/brush-structure.puml')" />

---

画笔实现结构

<PPlantUML :src="$withBase('/uml/pen-structure.puml')" />

---

文本实现结构

<PPlantUML :src="$withBase('/uml/text-structure.puml')" />

---

2.绘制操作,特殊说明:path/image/text;画笔/画刷;字体/字号/对齐方式;案例:线/圆/矩形/多边形/饼图(实现)/椭圆/圆角矩形;

3.颜色与过渡

4.矩阵变换

5.融合效果

6.特效:投影/发光/倒影/a过渡/等

7.实现自定义绘图引擎:如image绘图引擎
