const content = [
    {
        title: '简介',
        path: '/guides/'
    },
    {
        title: "数据格式",
        children: [
            ["/guides/format/floorMap", "底图数据"],
            ["/guides/format/systemJson", "系统图数据"],
            ["/guides/format/style", "底图风格"],
        ]
    },
    {
        title: "绘图引擎",
        path: "/guides/engine/",
        children: [
            ["/guides/engine/draw", "绘制形状"],
            ["/guides/engine/style", "颜色与样式"],
            ["/guides/engine/gradient", "渐变"],
            ["/guides/engine/composite", "融合"],
            ["/guides/engine/transform", "变型"],
            ["/guides/engine/clip", "裁剪"],
            ["/guides/engine/arrow", "绘制带有箭头的线段"],
            ["/guides/engine/selectContainer", "选择容器"],
            {
                title: '综合示例',
                children: [
                    ["/guides/engine/demo/elsfk", "俄罗斯方块"],
                    ["/guides/engine/demo/elsfkDifficult", "俄罗斯方块-英雄版"],
                    ["/guides/engine/demo/2048", "2048"],
                ]
            }
        ]
    },
    {
        title: "场景管理",
        path: "/guides/scene/",
        children: [
            {
                title: "Item 示例",
                children: [
                    ["/guides/scene/items/rect", "矩形"],
                    ["/guides/scene/items/polygon", "多边形组"],
                    ["/guides/scene/items/area", "区域类型组"],
                    ["/guides/scene/items/text", "文字"],
                    ["/guides/scene/items/image", "图片"],
                    ["/guides/scene/items/svg", "SVG 图"],
                ]
            },
            {
                title: "综合示例",
                children: [
                    ["/guides/scene/items/clock", "时钟"],
                    ["/guides/scene/regularPolygon", "正多边形"],
                    ["/guides/scene/star", "星形"],
                ]
            },
        ]
    },
    {
        title: "建筑信息图",
        children: [
            {
                title: "Item 示例",
                children: [
                    ["/guides/big/items/wall", "墙"],
                    ["/guides/big/items/column", "柱子"],
                    ["/guides/big/items/door", "门"],
                    ["/guides/big/items/space", "空间"],
                    ["/guides/big/items/virtualWall", "虚拟墙"],
                    ["/guides/big/items/window", "窗户"],
                    ["/guides/big/items/zone", "业务空间"],
                ]
            },
            ["/guides/big/workLine", "工作流程"],
            ["/guides/big/downloadFile", "手工下载楼层底图文件"],
            ["/guides/big/layerOrder", "图层"],
            ["/guides/big/factory/itemFactory", "item 创建工厂"],
            ["/guides/big/divide", "划分"],
            ["/guides/big/mapDemo", "楼层平面图范例"],
        ]
    },
    // {
    //     title: "系统图",
    //     children: [
    //         ["/guides/system-diagram/json-file", "json数据格式"]
    //     ]
    // },
    {
        title: "编辑器",
        path: "/guides/edit/",
        children: [
            ["/guides/edit/clipboard/", "剪切板"],
            ["/guides/edit/selector/", "选择器"],
            {
                title: "编辑器Item示例",
                children: [
                    ["/guides/edit/items/editLine", "编辑线"],
                    ["/guides/edit/items/editPolygon", "编辑多边形"],
                    ["/guides/edit/items/editPolyline", "编辑折线"],
                    ["/guides/edit/items/editImage", "编辑图片"],
                    ["/guides/edit/items/editText", "编辑文字"],
                    ["/guides/edit/items/editCircle", "编辑圆"],
                    ["/guides/edit/items/editRect", "编辑矩形"],
                    ["/guides/edit/items/editEllipse", "编辑椭圆"],
                    ["/guides/edit/items/editArrowLine", "编辑带箭头直线"],
                    ["/guides/edit/items/editArrowPolyline", "编辑带箭头折线"],
                    ["/guides/edit/items/editTriangle", "编辑三角形"]
                ]
            },
            ["/guides/edit/undo/undo", "Undo示例"],
        ]
    },
];

module.exports = content;
