# Web 图形引擎

::: details 目录
[[toc]]
:::

### 安装

首先需要将npm源设置为公司npm服务器

```
npm config set registry http://dev.dp.sagacloud.cn:8082/repository/npm-saga/
```

安装有三种方式： 全局安装，现有项目安装，package.json 方式。

### 全局安装
```
# @persagy-web/graph 全局安装
npm install -g @persagy-web/graph
```

### 现有项目
如果你想在一个现有项目中使用 @persagy-web/graph，则应该将 @persagy-web/graph 安装为本地依赖。

```
# 将 @persagy-web/graph 作为一个本地依赖安装
npm install -D @persagy-web/graph
```

### package.json

配置项目的 package.json, 增加如下高亮的代码。添加对 persagy-web/graph 的依赖。

```
"dependencies": {
    "@persagy-web/base": "2.2.1",
    "@persagy-web/draw": "2.2.1",
    "@persagy-web/graph": "2.2.1"
},
```

在项目文件夹执行如下命令安装项目依赖。

```
npm i
```


::: tip 注

如果改完源以后,npm i的时候没有成功

    1.需要先把node_modules删除,package-lock.json删除
    
    2.将源改到淘宝源或者官网源,把package.json中的公司服的npm包先删掉,执行npm i安装
    
    3.安装成功后,再把@persagy-web/graph等几个包添加到package.json中,并把源切换至公司服,在安装
    
:::
